Name: kover
Summary: WYSIWYG CD cover printer with CDDB support
Version: 6
Release: 4%{?dist}
License: GPLv2+
Group: Applications/Publishing
Source0: http://lisas.de/kover/kover-6.tar.bz2
URL: http://lisas.de/kover/
BuildRequires: desktop-file-utils
BuildRequires: libcdio-devel >= 0.90, libcddb-devel
BuildRequires: kdelibs4-devel >= 4
BuildRequires: cmake, gettext

%description
Kover is an easy to use WYSIWYG CD cover printer with CDDB support.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

%{__make} %{?_smp_mflags} -C %{_target_platform}

%install
make install DESTDIR=%{buildroot} -C %{_target_platform}
%{__mkdir_p} %{buildroot}%{_datadir}/applications
desktop-file-install \
%if 0%{?fedora} && 0%{?fedora} < 19
  --vendor fedora \
%endif
  --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Utility \
  --add-category AudioVideo \
  %{buildroot}%{_datadir}/applications/kde4/%{name}.desktop

%{__rm} -rf %{buildroot}%{_datadir}/applications/kde4

%{__install} -p -D %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png \
	%{buildroot}%{_datadir}/icons/hicolor/48x48/mimetypes/application-x-%{name}.png

%find_lang %{name}

%post
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README COPYING NEWS THANKS ChangeLog
%dir %{_datadir}/kde4/apps/kover
%{_datadir}/kde4/apps/kover/koverui.rc
%{_datadir}/icons/kover*
%{_datadir}/icons/*/*/*/*
%{_datadir}/mime/packages/*
%{_mandir}/man1/*
%{_datadir}/applications/*
%attr(755,root,root)%{_bindir}/kover

%changelog
* Wed Mar  6 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 6-4
- Remove vendor prefix from desktop files in F19+ https://fedorahosted.org/fesco/ticket/1077

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 15 2013 Adrian Reber <adrian@lisas.de> - 6-2
- only require libcdio >= 0.90

* Mon Jan 14 2013 Adrian Reber <adrian@lisas.de> - 6-1
- updated to 6

* Mon Jan 07 2013 Adrian Reber <adrian@lisas.de> - 5-2
- rebuilt for new libcdio

* Thu Aug 02 2012 Adrian Reber <adrian@lisas.de> - 5-1
- updated to 5

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4-10
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Nov 20 2011 Adrian Reber <adrian@lisas.de> - 4-8
- rebuilt for new libcdio

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 22 2010 Adrian Reber <adrian@lisas.de> - 4-6
- rebuilt for new libcdio

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Mar 02 2009 Adrian Reber <adrian@lisas.de> - 4-4
- included patch to build with gcc 4.4

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 13 2009 Adrian Reber <adrian@lisas.de> - 4-2
- rebuilt for new libcdio

* Thu Nov 13 2008 Adrian Reber <adrian@lisas.de> - 4-1
- updated to 4

* Wed May 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 3-4
- fix license tag

* Mon Feb 11 2008 Adrian Reber <adrian@lisas.de> - 3-3
- rebuilt for gcc43 and kde

* Thu Aug 23 2007 Adrian Reber <adrian@lisas.de> - 3-2
- rebuilt

* Fri Jul 06 2007 Adrian Reber <adrian@lisas.de> - 3-1
- updated to 3
- handle icons and mimetype
- added libcdio-devel and libcddb-devel as BR

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 2.9.6-8
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 18 2006 Adrian Reber <adrian@lisas.de> - 2.9.6-7
- rebuilt

* Mon Jul 24 2006 Adrian Reber <adrian@lisas.de> - 2.9.6-6
- disable -ansi to make it build with the newest kernel headers

* Sun Mar 12 2006 Adrian Reber <adrian@lisas.de> - 2.9.6-5
- rebuilt

* Sun Feb 12 2006 Adrian Reber <adrian@lisas.de> - 2.9.6-4
- rebuilt

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 2.9.6-3
- rebuild on all arches

* Tue Mar 29 2005 Adrian Reber <adrian@lisas.de> - 0:2.9.6-2
- add --disable-rpath to configure

* Sun Feb 13 2005 Adrian Reber <adrian@lisas.de> - 0:2.9.6-1
- updated to 2.9.6 to hopefully fix x86_64 build

* Thu May 01 2003 Adrian Reber <adrian@lisas.de> - 0:2.9.3-0.fdr.7
- added "Application" to desktop-file-install
- removed "KDE" from desktop-file-install
- changed "Multimedia" to "AudioVideo" at desktop-file-install

* Thu May 01 2003 Adrian Reber <adrian@lisas.de> - 0:2.9.3-0.fdr.6
- removed the INSTALL file from package and added the NEWS file

* Sat Apr 26 2003 Adrian Reber <adrian@lisas.de> - 0:2.9.3-0.fdr.5
- added the directories %%{_datadir}/apps/kover and
  %%{_datadir}/apps/kover/pics to the file list

* Wed Apr 23 2003 Adrian Reber <adrian@lisas.de> - 0:2.9.3-0.fdr.4
- added %%{?_smp_mflags}
- added --with-xinerama
- moved QTDIR and configure from prep to build
- changed X-Red-Hat-Extra to X-Fedora
- added %%{release} to BuildRoot

* Mon Mar 10 2003 Adrian Reber <adrian@lisas.de>
 - Changed Copyright: to License:

* Sun Nov 18 2001 Adrian Reber <adrian@lisas.de>
 - Included mime type

* Fri Jun 22 2001 Adrian Reber <adrian@lisas.de>
 - Integrated spec file in autoconf

* Fri May 11 2001 Adrian Reber <adrian@lisas.de>
 - Updated to kover 0.6

* Fri May 11 2001 Adrian Reber <adrian@lisas.de>
 - Initial release of kover-0.5 rpm
